# Sign program

POST

/v1/program/sign

Signs the passed program with a key from the wallet, determined by the account named in the request.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume: application/json

APIV1POSTProgramSignRequest is the request for `POST /v1/program/sign`

object

**address**  
string

**data**  
string format: byte

**wallet_handle_token**  
string

**wallet_password**  
string

## Responses

### 200

Response to `POST /v1/data/sign`

The list of MIME types the operation can produce: application/json

APIV1POSTProgramSignResponse is the response to `POST /v1/data/sign`  
friendly: SignProgramResponse

object

**error**  
boolean

**message**  
string

**sig**  
string format: byte
